HELP2MAN(1)

NAZWA
help2man - generowanie prostej strony podręcznika

OPIS
`help2man' generates a man page out of `--help' and `--version' output.

Usage: help2man [OPTION]... EXECUTABLE

-n, --name=STRING
    description for the NAME paragraph

-s, --section=SECTION
    section number for manual page (1, 6, 8)

-m, --manual=TEXT
    name of manual (User Commands, ...)

-S, --source=TEXT
    source of program (FSF, Debian, ...)

-L, --locale=STRING
    select locale (default "C")

-i, --include=FILE
    include material from `FILE'

-I, --opt-include=FILE
    include material from `FILE' if it exists

-o, --output=FILE
    send output to `FILE'

-p, --info-page=TEXT
    name of Texinfo manual

-N, --no-info
    suppress pointer to Texinfo manual

--help
    print this help, then exit

--version
    print version number, then exit

EXECUTABLE should accept `--help' and `--version' options and produce output on stdout although alternatives may be specified using:

-h, --help-option=STRING
    help option string

-v, --version-option=STRING
    version option string

--version-string=STRING
    version string

--no-discard-stderr
    include stderr when parsing option output

DOŁĄCZANE PLIKI
Do generowanego pliku można dołączyć dodatkowy materiał przy pomocy opcji --include i --opt-include
    [sekcja]
    tekst
    /wzorzec/
    tekst Bloki sformatowanego tekstu *roff są wstawiane do wyjścia na początku podanej [sekcji] (bez rozróżniania wielkości liter) lub po akapicie pasującym do /wzorca/. Wzorce zapisuje się przy użyciu składni perlowych wyrażeń regularnych i można je zakończyć modyfikatorami i, s lub m (patrz perlre(1)). Linie przed pierwszą sekcją lub wzorzec zaczynający się od `-' są przetwarzane jako opcje. Cała reszta jest po cichu ignorowana i może być używana jako komentarze, słowa kluczowe RCS itp. Kolejność sekcji na wyjściu to:
    NAZWA
    SKŁADNIA
    OPIS
    OPCJE
    PRZYKŁADY
    inne
    AUTOR
    ZGŁASZANIE BŁĘDÓW
    COPYRIGHT
    ZOBACZ TAKŻE Każda sekcja [nazwa] lib [składnia] występująca w pliku dołączanym zastępuje to, co zostałoby automatycznie wyprodukowane (aczkolwiek można w razie potrzeby obejść to zachowanie przez --name ). Inne sekcje są dołączane do automatycznie generowanego wyjścia w przypadku standardowych, wyżej wymienionych sekcji lub włączane w miejscu inne (jak wyżej) w kolejności, w jakiej wystąpiły w dołączanym pliku.

DOSTĘPNOŚĆ
Najnowsza wersja tego oprogramowania jest dostępna pod:
    ftp://ftp.gnu.org/gnu/help2man/

AUTOR
Program napisał Brendan O'Dea <bod@debian.org>

ZGŁASZANIE BŁĘDÓW
Report bugs to <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009 Free Software Foundation, Inc.
Ten program jest darmowy; warunki kopiowania są opisane w źródłach. Autorzy nie dają ŻADNYCH gwarancji, w tym również gwarancji PRZYDATNOŚCI DO SPRZEDAŻY LUB DO KONKRETNYCH CELÓW.

ZOBACZ TAKŻE
Pełna dokumentacja dla programu help2man jest utrzymywana jako podręcznik Texinfo. Jeśli programy info oraz help2man są właściwie zainstalowane, polecenie

    info help2man

powinno udostępnić kompletny podręcznik.